[package]
name = "apigateway-api"
version.workspace = true
edition.workspace = true
license.workspace = true
rust-version.workspace = true
description = "API Gateway gRPC protocol definitions"

[dependencies]
tonic = { workspace = true }
prost = { workspace = true }
prost-types = { workspace = true }

[build-dependencies]
tonic-build = { workspace = true }
protoc-bin-vendored = { workspace = true }

[lib]
path = "src/lib.rs"
